package net.wanji.opt.po.kafka;

import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/09 17:02
 */
@Data
public class LanePeriodicDataPO {

    private List<Eventlist> eventList;
    private int laneNum;
    private String orgCode;
    private String timeStamp;

    @Data
    public class Eventlist {

        private double dynamicQueueLengthMax;
        private int dynamicQueueLengthMin;
        private int greenLightEfficiency;
        private String laneId;
        private int laneCapacity;
        private int laneFlowRate;
        private int laneNoStopRate;
        private int laneOneStopRate;
        private double laneSaturation;
        private int laneSaturationFlowRate;
        private int laneThreeStopRate;
        private int laneTwoStopRate;
        private double lightGreenFinishQueueLength;
        private int lightGreenStartQueueLength;
        private int meanDelay;
        private int meanStopsNumber;
        private double meanV;
        private int staticQueueLengthMax;
        private int staticQueueLengthMin;
        private double timeOccupancy;
        private int trafficFlow;
        private int trolleyEquivalent;
        private double vehicleLengthRatioMean;
        private double vehicleNumsRatioMean;
    }
}
